Index: /trunk/NEMO/OPA_SRC/eosbn2.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/eosbn2.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/eosbn2.F90	(revision 789)
@@ -488,9 +488,5 @@
          DO jj = 1, jpjm1
 !CDIR NOVERRCHK
-#if defined key_mpp_omp
-            DO ji = 1, jpim1
-#else
             DO ji = 1, fs_jpim1   ! vector opt.
-#endif
                zws(ji,jj) = SQRT( ABS( psal(ji,jj) ) )
             END DO
@@ -500,9 +496,5 @@
          DO jj = 1, jpjm1                                 ! Horizontal slab
             !                                             ! ===============
-#if defined key_mpp_omp
-            DO ji = 1, jpim1
-#else
             DO ji = 1, fs_jpim1   ! vector opt.
-#endif
 
                zmask = tmask(ji,jj,1)      ! land/sea bottom mask = surf. mask
@@ -555,9 +547,5 @@
          DO jj = 1, jpjm1                                 ! Horizontal slab
             !                                             ! ===============
-#if defined key_mpp_omp
-            DO ji = 1, jpim1
-#else
             DO ji = 1, fs_jpim1   ! vector opt.
-#endif
                prd(ji,jj) = ( 0.0285 - ralpha * ptem(ji,jj) ) * tmask(ji,jj,1)
             END DO
@@ -572,9 +560,5 @@
          DO jj = 1, jpjm1                                 ! Horizontal slab
             !                                             ! ===============
-#if defined key_mpp_omp
-            DO ji = 1, jpim1
-#else
             DO ji = 1, fs_jpim1   ! vector opt.
-#endif
                prd(ji,jj) = ( rbeta * psal(ji,jj) - ralpha * ptem(ji,jj) ) * tmask(ji,jj,1) 
             END DO
Index: /trunk/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/par_oce.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/par_oce.F90	(revision 789)
@@ -219,10 +219,4 @@
 #endif
 
-#if defined key_mpp_omp
-   LOGICAL, PUBLIC, PARAMETER ::   lk_jki = .TRUE.   !: j-k-i loop flag
-#else
-   LOGICAL, PUBLIC, PARAMETER ::   lk_jki = .FALSE.  !: k-j-i loop flag
-#endif
-
    !!======================================================================
 END MODULE par_oce
Index: /trunk/NEMO/OPA_SRC/step.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/step.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/step.F90	(revision 789)
@@ -88,5 +88,4 @@
    USE zdfbfr          ! bottom friction                  (zdf_bfr routine)
    USE zdftke          ! TKE vertical mixing              (zdf_tke routine)
-   USE zdftke_jki      ! TKE vertical mixing              (zdf_tke routine)
    USE zdfkpp          ! KPP vertical mixing              (zdf_kpp routine)
    USE zdfddm          ! double diffusion mixing          (zdf_ddm routine)
@@ -248,9 +247,7 @@
       !                                                     ! Vertical eddy viscosity and diffusivity coefficients
       IF( lk_zdfric )   CALL zdf_ric( kstp )                       ! Richardson number dependent Kz
-#if defined key_mpp_omp
-      IF( lk_zdftke )   CALL zdf_tke_jki( kstp )                   ! TKE closure scheme for Kz - j-k-i loops
-#else
+
       IF( lk_zdftke )   CALL zdf_tke( kstp )                       ! TKE closure scheme for Kz
-#endif
+
       IF( lk_zdfkpp )   CALL zdf_kpp( kstp )                       ! KPP closure scheme for Kz
 
